Action Orchestrator 5.1.4 Release Notes


Release Date

First Published: January 17, 2020

Updated:

February 8, 2020: Updated Known Issues section to include exporting or updating previous workflows.

Installation and Upgrade

  • Action Orchestrator 5.1.2 and earlier:

    • Are only supported on CloudCenter Suite 5.0 installations.

    • Should not be installed on CloudCenter Suite systems using the new CloudCenter Suite 5.1 installer – you should only install Action Orchestrator 5.1.3 directly on these systems.

  • Action Orchestrator 5.1.3 and later:

See the Suite Admin 5.0 and Suite Admin 5.1.0 release notes for additional context.

Deprecation Notice

  • Due to planned deprecation of Python 2.7.x, the Execute Python Script Activity for Python 2.7 (Obsolete) will be deprecated in the following release.
    • Previous workflows using the noted Execute Python Script Activity for Python 2.7 (Obsolete) node should be exported to git (see Add Git Repository) or updated first to use Execute Python Script node which uses Python 3. The script content will potentially need to be refactored to Python 3 (Python supplies a 2 to 3 tool for this if needed).
  • Due to the dependency on the Python 2.7.x, the Ansible Tower adapter will also be deprecated in the next release.
    • Previous workflows using the noted Ansible Tower adapter should be exported to git (see Add Git Repository).

Known Issues

No updates

Resolved Issues

Backend bug fixes, no change to behavior.

  • No labels
Terms & Conditions Privacy Statement Cookies Trademarks